#!/bin/bash

# Copyright 2009 Canonical, Ltd.
# Author: Tom Haddon

CRITICAL=0
NOTACTIVE=''
LOGFILE=/tmp/check_haproxy_lpnet.log

for appserver in gangotri_lpnet_1 gangotri_lpnet_2 gandwana_lpnet_3 gandwana_lpnet_4 potassium_lpnet_5 potassium_lpnet_6 palladium_lpnet_7 palladium_lpnet_8 gangotri_edge_1 gandwana_edge_2 potassium_edge_3 palladium_edge_4 wampee_lpnet_11 wampee_lpnet_12 wampee_lpnet_13 wampee_lpnet_14;
do
    output=$(/usr/lib/nagios/plugins/check_http -a haproxy:urhu87Trf -I 127.0.0.1 -p 10000 --regex="class=\"active(2|3).*${appserver}" -e ' 200 OK')
    if [ $? != 0 ]; then
        date >> $LOGFILE
        echo $output >> $LOGFILE
        /usr/lib/nagios/plugins/check_http -a haproxy:urhu87Trf -I 127.0.0.1 -p 10000 -v | grep $appserver >> $LOGFILE 2>&1
        CRITICAL=1
        NOTACTIVE="${NOTACTIVE} $appserver"
    fi
done

if [ $CRITICAL = 1 ]; then
    echo "CRITICAL:${NOTACTIVE}"
    exit 2
fi

echo "OK: All haproxy instances looking good"
exit 0

