#!/bin/bash

# Copyright 2009 Canonical, Ltd.
# Author: Tom Haddon

CRITICAL=0
NOTACTIVE=''
LOGFILE=/tmp/check_haproxy_u1.log

for appserver in lardizabala_app_1 lardizabala_app_2 maqui_app_1 maqui_app_2 lardizabala_edge_app_1  maqui_edge_app_1;
do
    output=$(/usr/lib/nagios/plugins/check_http -a haproxy:urhu87Trf -I 127.0.0.1 -p 10000 --regex="class=\"active(2|3).*${appserver}" -e ' 200 OK')
    if [ $? != 0 ]; then
        date >> $LOGFILE
        echo $output >> $LOGFILE
        /usr/lib/nagios/plugins/check_http -a haproxy:urhu87Trf -I 127.0.0.1 -p 10000 -v | grep $appserver >> $LOGFILE 2>&1
        CRITICAL=1
        NOTACTIVE="${NOTACTIVE} $appserver"
    fi
done

if [ $CRITICAL = 1 ]; then
    echo "CRITICAL:${NOTACTIVE}"
    exit 2
fi

echo "OK: All haproxy instances looking good"
exit 0

