#!/bin/sh

INSTANCE=staging
ROOTDIR=/srv/$INSTANCE.landscape.canonical.com
CONFDIR=$ROOTDIR/etc
WARNHOUR=20
CRITHOUR=22

if [ -f $CONFDIR/restore.done ]; then
    echo `date` "- OK: $INSTANCE has been updated today." && exit 0
else
    if [ `date +%H` -ge $CRITHOUR ]; then
        echo `date` "- CRIT: $INSTANCE has not yet been updated today." && exit 2
    elif [ `date +%H` -ge $WARNHOUR ]; then
        echo `date` "- WARN: $INSTANCE has not yet been updated today." && exit 1
    else
        echo `date` "- OK: $INSTANCE has not yet been updated today." && exit 0
    fi
fi

exit 3;
